goalFindFuses.mSteps = 
{
	{ action = "click", object = objectPorchFuse1 },
	{ action = "click", object = objectPorchFuse2 },
	{ action = "click", object = objectShedFuse3 },
	{ action = "click", object = objectShedFuse4 },
	{ action = "click", object = objectBasementFuse5 },
	{ action = "click", object = objectBasementFuse6 },
}
-- ----------------------------------------------------------------------------
function goalFindFuses:onStarted()
    
    objectPorchFuse1:ss(kActive)
	objectPorchFuse2:ss(kActive)
	objectShedFuse3:ss(kActive)
	objectShedFuse4:ss(kActive)
	objectBasementFuse5:ss(kActive)
	objectBasementFuse6:ss(kActive)
    
end
-- ----------------------------------------------------------------------------
function goalFindFuses:onClickHO(layout, object, props, x, y)

	if ((objectPorchFuse1:isFound()) and
		(objectPorchFuse2:isFound()) and
		(objectShedFuse3:isFound()) and
		(objectShedFuse4:isFound()) and
		(objectBasementFuse5:isFound()) and
		(objectBasementFuse6:isFound())) then
		
		think("MESSAGE_ALL_FUSES_COLLECTED")
		self:achieved()
		
	end
	
	return false

end
